%define aurox_ver 9.4
%define rel 1

%define orig_name libwmf

%define wmffontdir %{_datadir}/%{name}/fonts

Name: libwmf
Summary: Library and utilities for displaying and converting metafile images
Version: 0.2.8.2
Release: %{aurox_ver}.aur.%{rel}
License: LGPL
Group: System Environment/Libraries
URL: http://wvware.sourceforge.net/
Source0: %{orig_name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
libwmf is a library for interpreting metafile images and either displaying them
using X or converting them to standard formats such as PNG, JPEG, PS, EPS and
SVG(Z)...


%package devel
Summary: Development tools for programs to manipulate metafile images
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The libwmf-devel package contains the header files and static
libraries necessary for developing programs using libwmf.

If you want to develop programs which will manipulate metafile images, you
should install libwmf-devel. You'll also need to install the libwmf package.


%prep
%setup -q -n %{orig_name}-%{version}

%build
%configure \
	--with-fontdir=%{wmffontdir}
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{_datadir}/doc/%{name}-%{version}
mv -f %{buildroot}%{_datadir}/doc/libwmf/* %{buildroot}%{_datadir}/doc/%{name}-%{version}/

%clean
rm -rf %{buildroot}

%post   -p "/sbin/ldconfig"

%postun -p "/sbin/ldconfig"


%files
%defattr(-,root,root)
%doc README COPYING ChangeLog
%{_bindir}/wmf2*
%{_bindir}/%{name}-fontmap
%{_libdir}/%{name}*.so.*
%{_libdir}/%{name}*la
%{_libdir}/gtk-2.0/2.2.0/loaders/io-wmf*
%dir %{wmffontdir}
%{wmffontdir}/*

%files devel
%defattr(-,root,root)
%{_bindir}/%{name}-config
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*
%{_libdir}/%{name}*.so
%{_libdir}/%{name}*.a


%changelog
* Thu Apr 22 2004 Aurox Team <aurox@aurox.org> 0:0.2.8.2-9.4.aur.1
- initial import

* Sat May 10 2003 Peter Linnell
- more spec file tweaks
- no need to patch makefiles - wtpt executible is obsoleted per Marti

* Sat Apr 26 2003 Peter Linnell
- split out and compile utils separately
- add RH80 versioning to avoid confusion with 9 packages
- needs patched samples makefile

* Wed Apr 23 2003  Peter Linnell
- new package with 1.10 final
- takeout profiles - add later

* Fri Mar 14 2003  Peter Linnell
- rebuild - test target= option works
